#pragma once

#include "canvas.h"

#include <functional>

namespace pp::panopainter {

void legacy_canvas_draw_objects_direct(
    Canvas& canvas,
    std::function<void(const glm::mat4& camera, const glm::mat4& proj, int i)> observer,
    Layer& layer,
    int frame);

void legacy_canvas_draw_objects(
    Canvas& canvas,
    std::function<void(const glm::mat4& camera, const glm::mat4& proj, int i)> observer,
    Layer& layer,
    int frame,
    bool save_history);

} // namespace pp::panopainter
